crashpad::MinidumpContextARM Struct Reference

A 32-bit ARM CPU context (register state) carried in a minidump file. More...

`#include "minidump/minidump_context.h"`

## Public Attributes

uint32_t | context_flags
| A bitfield composed of values of MinidumpContextFlags and MinidumpContextARMFlags. More...
uint32_t | regs [11]
| General-purpose registers `r0`-`r15`.
uint32_t | fp
uint32_t | ip
uint32_t | sp
uint32_t | lr
uint32_t | pc
uint32_t | cpsr
| Current program status register.
uint32_t | fpscr
| Floating-point status and control register.
uint64_t | vfp [32]
| VFP registers `d0`-`d31`.
uint32_t | extra [8]
| This space is unused. It is included for compatibility with breakpad (which also doesn't use it).

## Detailed Description

A 32-bit ARM CPU context (register state) carried in a minidump file.

## Member Data Documentation

## context_flags

uint32_t crashpad::MinidumpContextARM::context_flags

A bitfield composed of values of MinidumpContextFlags and MinidumpContextARMFlags.

This field identifies the context structure as a 32-bit ARM CPU context, and indicates which other fields in the structure are valid.

The documentation for this struct was generated from the following file:

- minidump/minidump_context.h